CurveExtremePoints

Returns the point locations of all local extrema. Note, non-periodic curves always return the end points.

Syntax

Rhino.CurveExtremePoints (strObject, arrDirection)

Parameters

strObject

Required.  String.  The object's identifier.

arrDirection

Required.  Array.  A 3-D vector that defines the direction in which to perform the calculation.

Returns

Array

An array of 3-D points that identify the local extrema, if successful.

Null

If not successful, or on error.

Example

Dim arrCurve, arrPoints

arrCurve = Rhino.GetCurveObject("Select a curve")

If IsArray(arrCurve) Then

  arrPoints = Rhino.CurveExtremePoints(arrCurve(0), Array(0,1,0))

  If IsArray(arrCurve) Then

    Call Rhino.AddPoints(arrPoints)

  End If

End If

Also See

CurveClosestPoint

IsCurvePeriodic